package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcWpwzlyqk;

/**
 * 网评文章录用情况Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcWpwzlyqkService 
{
    /**
     * 查询网评文章录用情况
     * 
     * @param id 网评文章录用情况主键
     * @return 网评文章录用情况
     */
    public TcWpwzlyqk selectTcWpwzlyqkById(Long id);

    /**
     * 查询网评文章录用情况列表
     * 
     * @param tcWpwzlyqk 网评文章录用情况
     * @return 网评文章录用情况集合
     */
    public List<TcWpwzlyqk> selectTcWpwzlyqkList(TcWpwzlyqk tcWpwzlyqk);

    /**
     * 新增网评文章录用情况
     * 
     * @param tcWpwzlyqk 网评文章录用情况
     * @return 结果
     */
    public int insertTcWpwzlyqk(TcWpwzlyqk tcWpwzlyqk);

    /**
     * 修改网评文章录用情况
     * 
     * @param tcWpwzlyqk 网评文章录用情况
     * @return 结果
     */
    public int updateTcWpwzlyqk(TcWpwzlyqk tcWpwzlyqk);

    /**
     * 批量删除网评文章录用情况
     * 
     * @param ids 需要删除的网评文章录用情况主键集合
     * @return 结果
     */
    public int deleteTcWpwzlyqkByIds(Long[] ids);

    /**
     * 删除网评文章录用情况信息
     * 
     * @param id 网评文章录用情况主键
     * @return 结果
     */
    public int deleteTcWpwzlyqkById(Long id);


    /**
     * 导入网评文章录用情况信息
     *
     * @return 结果
     */
    public String importUser(List<TcWpwzlyqk> tcWpwzlyqkList);


    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
